#2610 closed defect (wontfix)

unhex.c does not build on MSYS2

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 4.11.3
Component: tool Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Building unhex.c on Windows gives the following error:

gcc -DHAVE_CONFIG_H -I. -I/c/opt/rtems/kernel/rtems.git/tools/build     -g -O2 -MT rtems-bin2c.o -MD -MP -MF .deps/rtems-bin2c.Tpo -c -o rtems-bin2c.o /c/opt/rtems/kernel/rtems.git/tools/build/rtems-bin2c.c
In file included from C:/opt/rtems/kernel/rtems.git/tools/build/unhex.c:36:0:
C:/opt/rtems/kernel/rtems.git/tools/build/unhex.c: In function 'error':
C:/opt/rtems/kernel/rtems.git/tools/build/unhex.c:687:16: warning: '_errno' redeclared without dllimport attribute: previous dllimport ignored [-Wattributes]
     extern int errno;
                ^

Change History (6)

comment:1 Changed on Feb 23, 2016 at 5:22:17 AM by Chris Johns

This is a warning and not fatal. I think it should still be cleaned up.

comment:2 Changed on Feb 23, 2016 at 5:22:50 AM by Chris Johns

Milestone: 4.114.11.1
Priority: highestnormal
Severity: criticalnormal

comment:3 Changed on Feb 24, 2016 at 3:15:50 AM by Chris Johns

Status: newaccepted

comment:4 Changed on Jan 26, 2017 at 7:16:00 AM by Sebastian Huber

Milestone: 4.11.14.11.2

comment:5 Changed on Mar 23, 2017 at 1:03:28 AM by Chris Johns

Milestone: 4.11.24.11.3

The 4.11.2 milestone is closing.

comment:6 Changed on Feb 7, 2018 at 3:00:35 AM by Chris Johns

Resolution: wontfix
Status: acceptedclosed

I am closing this ticket. The tool can be fixed on master.

Note: See TracTickets for help on using tickets.